import request from "@/scripts/httpRequest";
import qs from "qs";

export const checkCameraConnet = (query: any) => {
  return request({
    url: "/data/api-v/area/localmenu",
    method: "get",
    params: query
  });
};

export const createCamera = (camera: any) => {
  return request({
    url: "/data/api-v/camera/add",
    method: "post",
    data: camera
  });
};

export const updateCameraInfo = (camera: any) => {
  return request({
    url: "/data/api-v/camera/update",
    method: "put",
    data: camera
  });
};

export const getCameraInfo = (id: string) => {
  return request({
    url: "/data/api-v/camera/show/" + id,
    method: "get"
  });
};

export const delCamera = (id: string) => {
  return request({
    url: "/data/api-v/camera/del/" + id,
    method: "delete"
  });
};

export const fetchCameraTasks = (id: string) => {
  return request({
    url: "/data/api-v/camera/task/" + id,
    method: "get"
  });
};

export const fetchCameraRulesByTask = (query: any) => {
  return request({
    url: "/data/api-v/camera/getRulesByCameraAndTask",
    method: "get",
    params: query
  });
};

export const deleteCameraTask = (cameraId, taskId) => {
  return request({
    url: "/data/api-v/camera/delTask/" + cameraId + "/" + taskId,
    method: "delete"
  });
};

export const saveCameraRules = (query: any) => {
  return request({
    url: "/data/api-v/camera/saveTask",
    method: "post",
    data: query
  });
};

export const deleteCameraRules = (query: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/deleteByGroup",
    method: "get",
    params: query
  });
};

export const getLinkRules = (query: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/getLinkRulesByCameraIds",
    method: "post",
    data: query
  });
};

export const saveLinkRule = (query: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/saveLinkRulesByGroup",
    method: "post",
    data: query
  });
};

export const updateSnapshot = (cameraId: string) => {
  return request({
    url: "/data/api-v/camera/updateSnapshotUrl/" + cameraId,
    method: "get"
  });
};

export const updateCameraTask = (params: any) => {
  return request({
    url: "/data/api-v/cameraTask/updateCameraTaskStatus",
    method: "post",
    data: params
  });
};

export const updateRuleDefence = (params: any) => {
  return request({
    url: "/data/api-v/cameraTaskArgs/updateDefenceStateByGroup",
    method: "post",
    data: qs.stringify(params)
  });
};

export const updateAlarmLevel = (params: any) => {
  return request({
    url: "/data/api-v/cameraTask/saveAlarmLevelByGroup",
    method: "post",
    data: params
  });
};

export const addCameraTask = (params: any) => {
  return request({
    url: "/data/api-v/cameraTask/addTask",
    method: "post",
    data: qs.stringify(params)
  });
};

// 云台
export const ptzControl = (params: any) => {
  return request({
    url: "/data/api-v/camera/ptzControl",
    method: "post",
    data: params
  });
};

